Bug 750780 - Keyboard configuration doesn't work after installation
Keyboard configuration doesn't work after installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 07:30 EDT by Pavel Lisý
Modified: 2013-02-13 11:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Lisý 2011-11-02 07:30:49 EDT
Description of problem:
Problem is similar to situation from F14
BZ 676827 - xorg-x11-server
BZ 650106 - gdm
BZ 650118 - system-setup-keyboard

when I installed F16 beta with Czech locale and US keyboard something (anaconda ???) put this to /etc/sysconfig/keyboard

KEYTABLE="us"
MODEL="pc105+inet"
LAYOUT="us"
VARIANT="qwerty"

where line 
VARIANT="qwerty"
is reason of system-setup-keyboard failure

I got this error, whenever I've tried change keyboard settings

 • xprop -root | grep XKB
 • gsettings get org.gnome.libgnomekbd.keyboard model
 • gsettings get org.gnome.libgnomekbd.keyboard layouts
 • gsettings get org.gnome.libgnomekbd.keyboard options

it didn't work with this:
xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105+inet", "us", "qwerty", "terminate:ctrl_alt_bksp,"
_XKB_RULES_NAMES(STRING) = "evdev", "pc105+inet", "cz", "", "grp_led:scroll,grp:shifts_toggle"


it works with this settings:
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105+inet", "us", "", "terminate:ctrl_alt_bksp,"
_XKB_RULES_NAMES(STRING) = "evdev", "pc105+inet", "us,cz", ",", "grp_led:scroll,grp:shifts_toggle"


Version-Release number of selected component (if applicable):


How reproducible:
install F16 with Czech locale and US keyboard

Steps to Reproduce:
1.
2.
3.
  
Actual results:
line: 
VARIANT="qwerty"
in config file: /etc/sysconfig/keyboard

Expected results:
no line with: VARIANT="qwerty"
in config file: /etc/sysconfig/keyboard with LAYOUT="us"

Additional info:
Comment 1 Chris Lumens 2011-11-02 09:12:36 EDT
anaconda uses system-config-keyboard to write out this file.
Comment 2 Fedora End Of Life 2013-01-16 09:52:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 11:08:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.